html, body
{
    height: 100%; 
}

body
{
    display: flex;
    flex-direction: column;
    background-color: lightgoldenrodyellow;
    margin: 0;
}

header, footer
{
    background-color: orange;
}

footer
{
    flex-shrink: 0;
    text-align: center;
    margin-top: auto;
    border-top: 5px solid brown;
    padding: 10px;

    min-height: 1vh;
}

header
{
    padding: 0px 20px 0px 20px;
    margin-bottom: 10px;
    border-bottom: 5px solid brown;
    
    display: flex;
    justify-content: space-between;
    align-items: center;
}

nav {
    display: flex;
    gap: 30px;
}

nav a {
    font-size: 17pt;
    font-weight: bold;
}